# Uses of Class
javassist.compiler.ast.ArrayInit

Packages that use ArrayInit
Package
Description
javassist.compiler.ast

## Uses of ArrayInit in javassist.compiler.ast

Methods in javassist.compiler.ast that return ArrayInit
Modifier and Type
Method
Description
`ArrayInit`
NewExpr.`getInitializer()`
Methods in javassist.compiler.ast with parameters of type ArrayInit
Modifier and Type
Method
Description
`void`
Visitor.`atArrayInit(ArrayInit n)`
`static NewExpr`
NewExpr.`makeObjectArray(ASTList className, ASTList arraySize, ArrayInit init)`
Constructors in javassist.compiler.ast with parameters of type ArrayInit
Modifier
Constructor
Description
``
`NewExpr(int type, ASTList arraySize, ArrayInit init)`